Package dev.plex

# Class Plex

java.lang.Object
org.bukkit.plugin.PluginBase
org.bukkit.plugin.java.JavaPlugin
dev.plex.Plex

All Implemented Interfaces:
  `org.bukkit.command.CommandExecutor`, `org.bukkit.command.TabCompleter`, `org.bukkit.command.TabExecutor`, `org.bukkit.plugin.Plugin`

public class Plex extends org.bukkit.plugin.java.JavaPlugin

## Field Summary

Fields
Modifier and Type
Field
Description
`private AdminList`
`adminList`
`static final BuildInfo`
`build`
`private net.milkbowl.vault.chat.Chat`
`chat`
`Config`
`commands`
`Config`
`config`
`Config`
`indefBans`
`Config`
`messages`
`private ModuleManager`
`moduleManager`
`File`
`modulesFolder`
`private MongoConnection`
`mongoConnection`
`private MongoPlayerData`
`mongoPlayerData`
`private net.milkbowl.vault.permission.Permission`
`permissions`
`private PlayerCache`
`playerCache`
`private static Plex`
`plugin`
`private PunishmentManager`
`punishmentManager`
`private RankManager`
`rankManager`
`private RedisConnection`
`redisConnection`
`private ServiceManager`
`serviceManager`
`private SQLConnection`
`sqlConnection`
`private SQLNotes`
`sqlNotes`
`private SQLPermissions`
`sqlPermissions`
`private SQLPlayerData`
`sqlPlayerData`
`private SQLPunishment`
`sqlPunishment`
`private StorageType`
`storageType`
`private String`
`system`
`Config`
`toggles`
`private UpdateChecker`
`updateChecker`

## Constructor Summary

Constructors
Constructor
Description
`Plex()`

## Method Summary

Modifier and Type
Method
Description
`private void`
`generateWorlds()`
`static Plex`
`get()`
`void`
`onDisable()`
`void`
`onEnable()`
`void`
`onLoad()`
`private void`
`reloadPlayers()`
`private net.milkbowl.vault.chat.Chat`
`setupChat()`
`private net.milkbowl.vault.permission.Permission`
`setupPermissions()`

### Methods inherited from class org.bukkit.plugin.java.JavaPlugin

`getClassLoader, getCommand, getConfig, getDataFolder, getDefaultBiomeProvider, getDefaultWorldGenerator, getDescription, getFile, getLogger, getPlugin, getPluginLoader, getPluginMeta, getProvidingPlugin, getResource, getServer, getTextResource, init, init, isEnabled, isNaggable, onCommand, onTabComplete, reloadConfig, saveConfig, saveDefaultConfig, saveResource, setEnabled, setNaggable, toString`

### Methods inherited from class org.bukkit.plugin.PluginBase

`equals, getName, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.bukkit.plugin.Plugin

`getComponentLogger, getLog4JLogger, getSLF4JLogger`

## Field Details

### build

public static final BuildInfo build

### plugin

private static Plex plugin

### config

public Config config

### messages

public Config messages

### indefBans

public Config indefBans

### commands

public Config commands

### toggles

public Config toggles

### modulesFolder

public File modulesFolder

### storageType

private StorageType storageType

### sqlConnection

private SQLConnection sqlConnection

### mongoConnection

private MongoConnection mongoConnection

### redisConnection

private RedisConnection redisConnection

### playerCache

private PlayerCache playerCache

### mongoPlayerData

private MongoPlayerData mongoPlayerData

### sqlPlayerData

private SQLPlayerData sqlPlayerData

### sqlPunishment

private SQLPunishment sqlPunishment

### sqlNotes

private SQLNotes sqlNotes

### sqlPermissions

private SQLPermissions sqlPermissions

### moduleManager

private ModuleManager moduleManager

### rankManager

private RankManager rankManager

### serviceManager

private ServiceManager serviceManager

### punishmentManager

private PunishmentManager punishmentManager

### adminList

private AdminList adminList

### updateChecker

private UpdateChecker updateChecker

### system

private String system

### permissions

private net.milkbowl.vault.permission.Permission permissions

### chat

private net.milkbowl.vault.chat.Chat chat

## Constructor Details

### Plex

public Plex()

## Method Details

### get

public static Plex get()

### onLoad

public void onLoad()

Specified by:
  `onLoad` in interface `org.bukkit.plugin.Plugin`
Overrides:
  `onLoad` in class `org.bukkit.plugin.java.JavaPlugin`

### onEnable

public void onEnable()

Specified by:
  `onEnable` in interface `org.bukkit.plugin.Plugin`
Overrides:
  `onEnable` in class `org.bukkit.plugin.java.JavaPlugin`

### onDisable

public void onDisable()

Specified by:
  `onDisable` in interface `org.bukkit.plugin.Plugin`
Overrides:
  `onDisable` in class `org.bukkit.plugin.java.JavaPlugin`

### generateWorlds

private void generateWorlds()

### reloadPlayers

private void reloadPlayers()

### setupPermissions

private net.milkbowl.vault.permission.Permission setupPermissions()

### setupChat

private net.milkbowl.vault.chat.Chat setupChat()